package com.realnet.basic.Services;
import com.realnet.basic.Repository.CategoriesRepository;
import com.realnet.basic.Entity.Categories
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class CategoriesService {
@Autowired
private CategoriesRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Categories Savedata(Categories data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Categories save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Categories> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Categories> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Categories> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Categories getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Categories update(Categories data,Integer id) {
	Categories old = Repository.findById(id).get();
old.setName(data.getName());

final Categories test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
